Skip to main content
Every resource endpoint has a corresponding /meta endpoint that tells you exactly which fields you can filter and sort on, what operators each field supports, and — for select fields — the valid values.
curl -X GET 'https://api.rwa.xyz/v4/assets/meta' \
  -H "Authorization: Bearer $RWA_API_KEY"
The response is an array of field definitions. Each entry describes one filterable field:
[
  {
    "type": "stringSingleSelect",
    "field": "protocol_ids",
    "content": {
      "label": "Platform",
      "description": "The platform where the data originated"
    },
    "defaultOperator": "includes",
    "allowedOperators": ["includes", "not-includes"],
    "selectOptions": [
      { "value": 2, "content": { "label": "Centrifuge" } },
      { "value": 16, "content": { "label": "Ondo" } }
    ]
  },
  {
    "type": "Dollar",
    "field": "circulating_market_value_dollar",
    "content": {
      "label": "Circulating Market Value",
      "description": "..."
    },
    "defaultOperator": "gte",
    "allowedOperators": ["gt", "gte", "lt", "lte", "equals", "notEquals"]
  },
  {
    "type": "boolean",
    "field": "is_investable",
    "content": {
      "label": "Is Investable",
      "description": "Whether the asset is investable"
    },
    "defaultOperator": "equals",
    "defaultValue": true,
    "allowedOperators": ["equals", "notEquals"]
  }
  // ...
]

Field types

TypeDescriptionTypical operators
searchFree-text searchlike, notLike
stringSingleSelectEnumerated values — check selectOptions for valid valuesincludes, not-includes, equals, notEquals
DollarDollar-denominated numeric fieldgt, gte, lt, lte, equals, notEquals
integerInteger numeric fieldgt, gte, lt, lte, equals, notEquals
percentPercentage numeric fieldgt, gte, lt, lte, equals, notEquals
booleanTrue/false fieldequals, notEquals
dateDate fieldbefore, after, onOrBefore, onOrAfter

Timeseries meta

The aggregate endpoints have their own meta endpoints that list different fields than the base resource. For example, /v4/tokens/aggregates/meta returns the fields available for filtering timeseries queries — including the measure_slug field with all available measures as selectOptions:
curl -X GET 'https://api.rwa.xyz/v4/tokens/aggregates/meta' \
  -H "Authorization: Bearer $RWA_API_KEY"
[
  {
    "type": "stringSingleSelect",
    "field": "measure_slug",
    "content": {
      "label": "Measure",
      "description": "The measure that's being queried"
    },
    "allowedOperators": ["equals", "notEquals"],
    "selectOptions": [
      { "value": "apy_30_day", "content": { "label": "APY (30-Day)" } },
      { "value": "net_asset_value_dollar", "content": { "label": "Net Asset Value (Dollar)" } },
      { "value": "total_supply_token", "content": { "label": "Total Supply (Token)" } }
      // ...
    ]
  },
  {
    "type": "stringSingleSelect",
    "field": "network_name",
    "content": { "label": "Network" },
    "selectOptions": [
      { "value": "Ethereum", "content": { "label": "Ethereum" } },
      { "value": "Solana", "content": { "label": "Solana" } }
      // ...
    ]
  }
  // ...
]

Available meta endpoints

EndpointMeta
/v4/assets/v4/assets/meta
/v4/tokens/v4/tokens/meta
/v4/networks/v4/networks/meta
/v4/platforms/v4/platforms/meta
/v4/issuers/v4/issuers/meta
/v4/managers/v4/managers/meta
/v4/service-providers/v4/service-providers/meta
/v4/transactions/v4/transactions/meta
/v4/assets/aggregates/v4/assets/aggregates/meta
/v4/tokens/aggregates/v4/tokens/aggregates/meta